# Generated by Django 5.1.6 on 2025-02-24 20:55

import seawatch_registration.models
import volunteers.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('operations', '0010_operationline_rank_to_position'),
        ('seawatch_registration', '0044_add_opsgroups_to_positions'),
    ]

    operations = [
        migrations.CreateModel(
            name='PermanentCrewMember',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('first_name', seawatch_registration.models.ShortTextField()),
                ('last_name', seawatch_registration.models.ShortTextField()),
                ('email', models.EmailField(max_length=254)),
                ('languages', models.JSONField(default={}, validators=[volunteers.models.validate_languages_dict])),
                ('gender', seawatch_registration.models.ShortTextField(choices=[('male', 'Male'), ('female', 'Female'), ('none_other', 'None/Other'), ('prefer_not_say', 'Prefer not to say')])),
                ('positions', models.ManyToManyField(to='seawatch_registration.position')),
            ],
        ),
    ]
